package com.iamberry.wechat.core.entity.banner;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

public class BannerDTO implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7336123086282657473L;

	private Integer bannerId;

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date bannerStartDate; // 开始时间

	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date bannerEndDate; // 结束时间
	
	private Integer bannerStatus; // banner状态，1:使用中；2:已经停用
	
	private String bannerName; // banner名称
	
	private String bannerDesc; // banner简介
	
	private Integer bannerType; // banner类型
	
	private String token; // token
	
	public Integer getBannerId() {
		return bannerId;
	}

	public void setBannerId(Integer bannerId) {
		this.bannerId = bannerId;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public Date getBannerStartDate() {
		return bannerStartDate;
	}

	public void setBannerStartDate(Date bannerStartDate) {
		this.bannerStartDate = bannerStartDate;
	}

	public Date getBannerEndDate() {
		return bannerEndDate;
	}

	public void setBannerEndDate(Date bannerEndDate) {
		this.bannerEndDate = bannerEndDate;
	}

	public Integer getBannerStatus() {
		return bannerStatus;
	}

	public void setBannerStatus(Integer bannerStatus) {
		this.bannerStatus = bannerStatus;
	}

	public String getBannerName() {
		return bannerName;
	}

	public void setBannerName(String bannerName) {
		this.bannerName = bannerName;
	}

	public String getBannerDesc() {
		return bannerDesc;
	}

	public void setBannerDesc(String bannerDesc) {
		this.bannerDesc = bannerDesc;
	}

	public Integer getBannerType() {
		return bannerType;
	}

	public void setBannerType(Integer bannerType) {
		this.bannerType = bannerType;
	}

	@Override
	public String toString() {
		return "BannerDTO [bannerStartDate=" + bannerStartDate
				+ ", bannerEndDate=" + bannerEndDate + ", bannerStatus="
				+ bannerStatus + ", bannerName=" + bannerName + ", bannerDesc="
				+ bannerDesc + ", bannerType=" + bannerType + "]";
	}
}